DNF5-REPOCLOSURE(8)

NUME
dnf5-repoclosure - comanda «repoclosure»

SINOPSIS

dnf5 repoclosure [opțiuni] [<detalii-pachet>...]

DESCRIERE

Comanda repoclosure vă permite să analizați metadatele pachetelor din mai multe depozite. Aceasta verifică toate dependențele pachetelor și oferă o listă a pachetelor care au dependențe nerezolvate.

În mod implicit, repoclosure ia în considerare toate depozitele activate atunci când verifică dependențele. Cu toate acestea, puteți personaliza setul de depozite utilizând opțiuni standard DNF5 precum --repo, --enable-repo sau --disable-repo.

OPȚIUNI

    --arch <arhitectura>
        Solicită numai pachetele pentru arhitectura specificată, poate fi specificată de mai multe ori (implicit, toate arhitecturile compatibile cu sistemul dvs.).

    --best
        Verifică doar cele mai noi pachete per arhitectură.

    --check=REPO_ID,...
        Specifică depozitele de verificat, pot fi specificate de mai multe ori (implicit, toate depozitele activate).
        Valorile acceptate sunt id-uri ale depozitelor sau un „glob” de id-uri.

    --json
        Solicită formatul de ieșire JSON pentru rezultate care pot fi citite de către mașină.

    --newest
        Verifică doar cele mai noi pachete din depozite.

    <specificație-pachet>
        Verifică cercul de dependențe doar pentru acest pachet.

EXEMPLE

    dnf5 repoclosure
        Afișează o listă de dependențe nerezolvate pentru toate depozitele activate.

    dnf5 repoclosure --repo rawhide --arch noarch --arch x86_64
        Afișează o listă de dependențe nerezolvate pentru depozitul rawhide și pachetele cu arhitectură noarch și x86_64.

    dnf5 repoclosure --repo rawhide zmap
        Afișează o listă de dependențe nerezolvate pentru pachetul zmap din depozitul rawhide.

    dnf5 repoclosure --repo rawhide --check myrepo
        Afișează o listă de dependențe nerezolvate pentru myrepo, un add-on (o adăugare) pentru depozitul rawhide.

    dnf5 repoclosure --json
        Listează toate dependențele nerezolvate în format JSON pentru rezultate care pot fi citite de către mașini.

IEȘIRE JSON

    •   dnf5 repoclosure --json

Comanda returnează un tabel JSON, fiecare element descriind un pachet cu dependențe nerezolvate. Fiecare obiect-pachet conține următoarele câmpuri:

    •   package (șir) - Pachet NEVRA (epocă:versiune-lansare.arhitectură).

    •   repo (șir) - Identificator depozit.

    •   (serie) - Lista cerințelor neîndeplinite (șiruri de caractere).

În cazul rezultatelor goale, comanda dnf5 repoclosure --json va returna [] (un tabel gol).

Dacă sunt găsite dependențe nerezolvate, comanda se închide cu codul 1. Dacă nu se reușește rezolvarea vreunei specificații de pachet, mesajele de eroare sunt afișate la stderr, iar comanda se închide cu codul 1.

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.